Skip to main content
DMZ

Set DMZ upload file destination encryption key

Note, this API will overwrite any existing encryption key stored within the configuration.

POST
/gb/dmz-upload-file-destinations/{dmz_upload_file_destination_id}/encryption-key

This method requires the DmzUploadFileDestinations:SetEncryptionKey permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
dmz_upload_file_destination_idstringrequired

Dmz Upload File Destination Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

multipart/form-data
keystringrequired

Key file to import

Should be in armored ASCII file format as used by Pretty Good Privacy (PGP)

key_namestringrequired

Key name

Success